Bug 9604 - filter overdues with homebranch and holdingbranch
Summary: filter overdues with homebranch and holdingbranch
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 08:41 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (4.94 KB, patch)
2013-02-13 09:23 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[Signed off] Bug 9604: filter overdues with homebranch and holdingbranch (5.02 KB, patch)
2013-02-15 11:57 UTC, Melia Meggs
Details | Diff | Splinter Review
[PASSED QA] Bug 9604: filter overdues with homebranch and holdingbranch (5.16 KB, patch)
2013-03-22 15:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9604: filter overdues with homebranch and holdingbranch (5.16 KB, patch)
2013-03-22 15:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9604 - Follow-up: Changing labels from branch to library (1.48 KB, patch)
2013-03-22 15:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9604 - Follow-up: Changing labels from branch to library (1.58 KB, patch)
2013-03-22 16:05 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-02-13 08:41:01 UTC
Add in overdues.pl filters on item home branch and holding branch.
Comment 1 Fridolin SOMERS 2013-02-13 09:23:07 UTC Comment hidden (obsolete)
Comment 2 Melia Meggs 2013-02-15 11:56:43 UTC
Hi,

I applied this patch and did the following tests:

1. Patron A had one item overdue that had both home and holding branch of Centerville.
2. Patron B had one item overdue that had both home and holding branch of Centerville, and one item overdue that had home branch of Rutland and holding branch of Centerville.
3. Patron C had one item overdue that had home branch of Rutland and holding branch of Fairfield.

I then used the filters on overdues and found that they gave correct results for item home branch and item holding branch.  So I am signing off!

However, I do have two questions which could possibly be addressed with a follow up patch:

- When looking at overdues, in addition to the item home branch and item holding branch filters that you've added, I also see one for just "Home branch" (with no dropdown menu) as well as one for "Library of the patron."  "Library of the patron" is clear and appears to work fine, but I wasn't sure what "Home branch" is supposed to do now that we have a choice of item home branch.  Should "Home branch" be removed now?  I got no results using Home branch each time that I tried.

- When looking at a record (here, for example:  http://staff-melia.test.bywatersolutions.com/cgi-bin/koha/catalogue/detail.pl?biblionumber=502), we have columns for Current Location (the same as holding branch) and Home Library.  Should we rename your holding branch filter as Current Location for consistency?

Thanks,

Melia
Comment 3 Melia Meggs 2013-02-15 11:57:37 UTC Comment hidden (obsolete)
Comment 4 Fridolin SOMERS 2013-02-15 16:22:03 UTC
(In reply to comment #2)
> I also see one for just "Home branch"
I do not see this in master version.

> Should we rename your holding branch filter as Current Location for consistency?
Goof idea for me.
Comment 5 Katrin Fischer 2013-03-22 15:31:28 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-22 15:32:15 UTC
I think in order to be really consistent we should use library as we agreed on this some time ago (last hackfest even?).
Comment 7 Katrin Fischer 2013-03-22 15:40:03 UTC
Created attachment 16806 [details] [review]
[PASSED QA] Bug 9604: filter overdues with homebranch and holdingbranch

This patch adds in overdues.pl filters on item home branch and holding branch.

Test plan :
Play with item home branch and holding branch filters and check
it filters well results.

Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Filters are added to the list of overdues in the circulation module.
All tests and QA script pass.
Comment 8 Katrin Fischer 2013-03-22 15:40:32 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2013-03-22 16:05:44 UTC
Created attachment 16808 [details] [review]
[SIGNED-OFF] Bug 9604 - Follow-up: Changing labels from branch to library

Relabelling the new filters for consistency.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 10 Jared Camins-Esakov 2013-03-23 02:05:59 UTC
This patch has been pushed to master.